<?php
/**
 * webEdition CMS
 *
 * $Rev: 14628 $
 * $Author: mokraemer $
 * $Date: 2017-12-04 12:39:29 +0100 (Mon, 04 Dec 2017) $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @category   webEdition
 * @package none
 * @license    http://www.gnu.org/copyleft/gpl.html  GPL
 */
define('LIVEUPDATE_DIR', $_SERVER['DOCUMENT_ROOT'] . '/webEdition/liveUpdate/');

require_once($_SERVER['DOCUMENT_ROOT'] . '/webEdition/we/include/we_autoload.inc.php');
if(method_exists('we_error_handler', 'setHandleAll')){
	we_error_handler::setHandleAll();
}
we_error_handler::start();

if(isset($_REQUEST[SESSION_NAME])){
	session_name(SESSION_NAME);
	session_id($_REQUEST[SESSION_NAME]);
	unset($_REQUEST[SESSION_NAME], $_GET[SESSION_NAME], $_POST[SESSION_NAME]);
}
require_once(WE_INCLUDES_PATH . 'we.inc.php');

require_once(LIVEUPDATE_DIR . 'classes/liveUpdateHttp.class.php');
require_once(LIVEUPDATE_DIR . 'classes/liveUpdateResponse.class.php');
require_once(LIVEUPDATE_DIR . 'classes/liveUpdateFrames.class.php');
require_once(LIVEUPDATE_DIR . 'classes/liveUpdateFunctions.class.php');
require_once(LIVEUPDATE_DIR . 'classes/liveUpdateTemplates.class.php');

require_once(LIVEUPDATE_DIR . 'conf/mapping.inc.php');
require_once(LIVEUPDATE_DIR . 'conf/conf.inc.php');
require_once(LIVEUPDATE_DIR . 'includes/define.inc.php');
include_once(LIVEUPDATE_LANGUAGE_DIR . 'liveUpdate.inc.php');

if(is_dir(LIVEUPDATE_DIR . 'updateClient') && is_readable(LIVEUPDATE_DIR . 'updateClient')){
	if(is_readable(LIVEUPDATE_DIR . 'updateClient/liveUpdateFunctionsServer.class.php')){
		require_once(LIVEUPDATE_DIR . 'updateClient/liveUpdateFunctionsServer.class.php');
	}
	if(is_readable(LIVEUPDATE_DIR . 'updateClient/liveUpdateResponseServer.class.php')){
		require_once(LIVEUPDATE_DIR . 'updateClient/liveUpdateResponseServer.class.php');
	}
	if(is_readable(LIVEUPDATE_DIR . 'updateClient/liveUpdateServer.class.php')){
		require_once(LIVEUPDATE_DIR . 'updateClient/liveUpdateServer.class.php');
	}
}
//session_write_close();