<?php
/**
 * webEdition CMS
 *
 * $Rev: 14628 $
 * $Author: mokraemer $
 * $Date: 2017-12-04 12:39:29 +0100 (Mon, 04 Dec 2017) $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @category   webEdition
 * @package none
 * @license    http://www.gnu.org/copyleft/gpl.html  GPL
 */
return [
	'html' => [
		'a' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup', 'onblur', 'onfocus',],
			'norm' => ['accesskey', 'charset', 'coords', 'href', 'hreflang', 'name', 'rel', 'rev', 'shape', 'tabindex', 'target', 'type'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'abbr' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'acronym' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'address' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => ['contenteditable', 'contextmenu', 'dir', 'draggable', 'irrelevant', 'ref', 'tabindex'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'applet' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title'],
			'js' => ['onload'],
			'norm' => ['align', 'alt', 'archive', 'code', 'codebase', 'height', 'hspace', 'name', 'object', 'vspace', 'width'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'area' => [
			'default' => ['id', 'title'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup', 'onblur', 'onfocus'],
			'norm' => ['accesskey', 'alt', 'coords', 'href', 'nohref', 'shape', 'tabindex', 'target'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'b' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'base' => [
			'default' => [],
			'js' => [],
			'norm' => ['href', 'target'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'basefont' => [
			'default' => ['id'],
			'js' => [],
			'norm' => ['color', 'face', 'size'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'bdo' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir'],
			'js' => [],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'big' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'blockquote' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => ['cite'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'body' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup', 'onload', 'onunload'],
			'norm' => ['alink', 'background', 'bgcolor', 'link', 'text', 'vlink'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'br' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title',],
			'js' => [],
			'norm' => ['clear'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'button' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup', 'onblur', 'onfocus'],
			'norm' => ['accesskey', 'disabled="disabled"', 'name', 'tabindex', 'type', 'value'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'caption' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => ['align'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'center' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'cite' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'code' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'col' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => ['align', 'char', 'charoff', 'span', 'valign', 'width'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'colgroup' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => ['align', 'char', 'charoff', 'span', 'valign', 'width'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'dd' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'del' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => ['cite', 'datetime'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'dfn' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'dir' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => ['compact'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'div' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => ['align'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'dl' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => ['compact'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'dt' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'em' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'fieldset' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'font' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => [],
			'norm' => ['color', 'face', 'size'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'form' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup', 'onreset', 'onsubmit'],
			'norm' => ['action', 'accept', 'accept-charset', 'enctype', 'method', 'name', 'target'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'frame' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title',],
			'js' => [],
			'norm' => ['frameborder', 'longdesc', 'marginheight', 'marginwidth', 'name', 'noresize', 'scrolling', 'src'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'frameset' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onload', 'onunload'],
			'norm' => ['cols', 'rows'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'h1' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => ['align'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'h2' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => ['align'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'h3' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => ['align'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'h4' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => ['align'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'h5' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => ['align'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'h6' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => ['align'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'head' => [
			'default' => ['dir', 'lang'],
			'js' => [],
			'norm' => ['profile'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'hr' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => ['align', 'noshade', 'size', 'width'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'html' => [
			'default' => ['dir', 'lang'],
			'js' => [],
			'norm' => ['version'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'i' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'iframe' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title'],
			'js' => [],
			'norm' => ['align', 'frameborder', 'height', 'longdesc', 'marginheight', 'marginwidth', 'name', 'scrolling', 'src', 'width'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'img' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup', 'onerror', 'onload'],
			'norm' => ['align', 'alt', 'border', 'height', 'hspace', 'ismap', 'longdesc', 'name', 'src', 'usemap', 'vspace', 'width'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'input' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup', 'onchange', 'onblur', 'onfocus', 'onselect'],
			'norm' => ['accept', 'accesskey', 'align', 'alt', 'checked="checked"', 'disabled="disabled"', 'ismap', 'maxlength', 'name', 'readonly', 'size', 'src', 'tabindex', 'type', 'usemap', 'value', 'type="button"', 'type="hidden"', 'type="file"', 'type="submit"', 'type="checkbox"', 'type="password"', 'type="radio"', 'type="reset"',],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => ['type = "color"', 'type = "date"', 'type = "datetime"', 'type = "datetime-local"', 'type = "email"', 'type = "image"', 'type = "month"', 'type = "number"', 'type = "range"', 'type = "search"', 'type = "tel"', 'type = "text"', 'type = "time"', 'type = "url"', 'type = "week"'],
		],
		'ins' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => ['cite', 'datetime'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'kbd' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'label' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup', 'onblur', 'onfocus'],
			'norm' => ['accesskey', 'for'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'legend' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => ['accesskey', 'align'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'li' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => ['type', 'value'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'link' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => ['charset', 'href', 'hreflang', 'media', 'rel', 'rev', 'target', 'type'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'map' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => ['name'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'menu' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => ['compact'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'meta' => [
			'default' => ['dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => ['content', 'http-equiv', 'name', 'scheme'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'noframes' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'noscript' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'object' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => ['align', 'archive', 'border', 'classid', 'codebase', 'codetype', 'data', 'declare', 'height', 'hspace', 'name', 'standby', 'tabindex', 'type', 'usemap', 'vspace', 'width'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'ol' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => ['compact', 'start', 'type'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'optgroup' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => ['disabled="disabled"', 'label'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'option' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => ['disabled="disabled"', 'label', 'selected="selected"', 'value'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'p' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => ['align'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'param' => [
			'default' => ['id'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => ['name', 'type', 'value', 'valuetype'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'pre' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => ['width'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'q' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => ['cite'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		's' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'samp' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'script' => [
			'default' => [],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => ['charset', 'defer', 'event', 'language', 'for', 'src', 'type'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'select' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup', 'onblur', 'onchange', 'onfocus'],
			'norm' => ['disabled="disabled"', 'multiple', 'name', 'size', 'tabindex'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'small' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'span' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'strike' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'strong' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'style' => [
			'default' => ['title', 'dir', 'lang'],
			'js' => [],
			'norm' => ['media', 'type'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'sub' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'sup' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'table' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => ['align', 'background', 'bgcolor', 'border', 'cellpadding', 'cellspacing', 'frame', 'rules', 'summary', 'width'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'tbody' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => ['align', 'char', 'charoff', 'valign'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'td' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => ['abbr', 'align', 'axis', 'background', 'bgcolor', 'char', 'charoff', 'colspan', 'headers', 'height', 'nowrap', 'rowspan', 'scope', 'valign', 'width'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'textarea' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup', 'onblur', 'onchange', 'onfocus', 'onselect'],
			'norm' => ['accesskey', 'cols', 'disabled="disabled"', 'name', 'readonly', 'rows', 'tabindex'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'tfoot' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => ['align', 'char', 'charoff', 'valign'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'th' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => ['align', 'axis', 'background', 'bgcolor', 'char', 'charoff', 'colspan', 'headers', 'height', 'nowrap', 'rowspan', 'scope', 'valign', 'width'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'thead' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => ['align', 'char', 'charoff', 'valign'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'title' => [
			'default' => ['dir', 'lang'],
			'js' => [],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'tr' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => ['align', 'background', 'bgcolor', 'char', 'charoff', 'valign'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'tt' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'u' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'ul' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => ['compact', 'type'],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'var' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'!DOCTYPE' => [
		],
		'?php' => [
		],
	],
	'html5' => ['article' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'aside' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'bdi' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'command' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'details' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'summary' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'figure' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'figcaption' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'footer' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'header' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'hgroup' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'mark' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'meter' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'nav' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'progress' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'ruby' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'rt' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'rp' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'section' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'time' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'wbr' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'audio' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'video' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'source' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'embed' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'track' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'canvas' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'datalist' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'keygen' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
		'output' => [
			'default' => ['class', 'accesskey', 'tabindex', 'id', 'style', 'title', 'dir', 'lang'],
			'js' => ['onclick', 'ondblclick', 'onmousedown', 'onmouseup', 'onmouseover', 'onmousemove', 'onmouseout', 'onkeypress', 'onkeydown', 'onkeyup'],
			'norm' => [],
			'default_html5' => ['contenteditable', 'contextmenu', 'draggable', 'dropzone', 'hidden', 'spellcheck'],
			'html5' => [],
		],
	]
];
