<?php
/**
 * webEdition CMS
 *
 * $Rev: 14628 $
 * $Author: mokraemer $
 * $Date: 2017-12-04 12:39:29 +0100 (Mon, 04 Dec 2017) $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @category   webEdition
 * @package none
 * @license    http://www.gnu.org/copyleft/gpl.html  GPL
 */
return [
	'new' => [
		'text' => g_l('modules_newsletter', '[new]'),
		'icon' => 'fa fa-plus-circle',
	],
	['text' => g_l('modules_newsletter', '[newsletter][text]'),
		'cmd' => 'new_newsletter',
		'perm' => [we_base_perm::NEWSLETTER_NEW],
		'parent' => 'new',
	],
	['text' => g_l('modules_newsletter', '[group]'),
		'cmd' => 'new_newsletter_group',
		'perm' => [we_base_perm::NEWSLETTER_NEW],
		'parent' => 'new',
	],
	'newsletter' => [
		'text' => g_l('modules_newsletter', '[newsletter][text]'),
		'icon' => 'fa fa-newspaper-o'
	],
	['text' => g_l('modules_newsletter', '[save]'),
		'parent' => 'newsletter',
		'cmd' => 'save_newsletter',
		'perm' => [we_base_perm::NEWSLETTER_NEW, we_base_perm::NEWSLETTER_EDIT],
	],
	['text' => g_l('modules_newsletter', '[delete]'),
		'parent' => 'newsletter',
		'cmd' => 'delete_newsletter',
		'perm' => [we_base_perm::NEWSLETTER_DELETE],
	],
	['parent' => 'newsletter',],
	['text' => g_l('modules_newsletter', '[send]') . '&hellip;',
		'parent' => 'newsletter',
		'cmd' => 'send_newsletter',
		'perm' => [we_base_perm::NEWSLETTER_SEND],
	],
	['parent' => 'newsletter',],
	['text' => g_l('modules_newsletter', '[quit]'),
		'parent' => 'newsletter',
		'cmd' => 'exit_newsletter',
	],
	'options' => [
		'text' => g_l('modules_newsletter', '[options]'),
		'icon' => 'fa fa-cog'
	],
	['text' => g_l('modules_newsletter', '[domain_check]') . '&hellip;',
		'parent' => 'options',
		'cmd' => 'domain_check',
	],
	['text' => g_l('modules_newsletter', '[lists_overview_menu]') . '&hellip;',
		'parent' => 'options',
		'cmd' => 'print_lists',
	],
	['text' => g_l('modules_newsletter', '[show_log]') . '&hellip;',
		'parent' => 'options',
		'cmd' => 'show_log',
	],
	['parent' => 'options',],
	['text' => g_l('modules_newsletter', '[newsletter_test]') . '&hellip;',
		'parent' => 'options',
		'cmd' => 'test_newsletter',
	],
	['text' => g_l('modules_newsletter', '[preview]') . '&hellip;',
		'parent' => 'options',
		'cmd' => 'preview_newsletter',
	],
	['text' => g_l('modules_newsletter', '[send_test]'),
		'parent' => 'options',
		'cmd' => 'send_test',
		'perm' => [we_base_perm::NEWSLETTER_SEND_TEST_EMAIL],
	],
	['text' => g_l('modules_newsletter', '[search_email]'),
		'parent' => 'options',
		'cmd' => 'search_email',
	],
	['parent' => 'options',],
	['text' => g_l('modules_newsletter', '[edit_file]') . '&hellip;',
		'parent' => 'options',
		'cmd' => 'edit_file',
	],
	['text' => g_l('modules_newsletter', '[black_list]') . '&hellip;',
		'parent' => 'options',
		'cmd' => 'black_list',
	],
	['text' => g_l('modules_newsletter', '[clear_log]') . '&hellip;',
		'parent' => 'options',
		'cmd' => 'clear_log',
		'perm' => [we_base_perm::NEWSLETTER_SETTINGS],
	],
	['text' => g_l('modules_newsletter', '[settings]') . '&hellip;',
		'parent' => 'options',
		'cmd' => 'newsletter_settings',
		'perm' => [we_base_perm::NEWSLETTER_SETTINGS],
	],
];
