<?php

/**
 * webEdition CMS
 *
 * $Rev: 14421 $
 * $Author: mokraemer $
 * $Date: 2017-10-13 18:57:48 +0200 (Fri, 13 Oct 2017) $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @category   webEdition
 * @package none
 * @license    http://www.gnu.org/copyleft/gpl.html  GPL
 */
abstract class we_backup_tableMap{

	private static function replaceKeys(array $data){
		$ret = [];
		foreach($data as $val){
			$ret[strtolower(stripTblPrefix($val))] = $val;
		}
		return $ret;
	}

	//FIXME: use tables from modInfo!!

	public static function getMap($isExport){
		return [
			'core' => array_merge([
				strtolower(stripTblPrefix(FILE_TABLE)) => FILE_TABLE,
				strtolower(stripTblPrefix(LANGLINK_TABLE)) => LANGLINK_TABLE,
				strtolower(stripTblPrefix(TEMPLATES_TABLE)) => TEMPLATES_TABLE,
				strtolower(stripTblPrefix(CONTENT_TABLE)) => CONTENT_TABLE,
				strtolower(stripTblPrefix(METADATA_TABLE)) => METADATA_TABLE,
				strtolower(stripTblPrefix(FILELINK_TABLE)) => FILELINK_TABLE,
				], ($isExport ? [] : [//for old backups, add link table
				'tbllink' => TBL_PREFIX . 'tblLink'
				]), self::replaceKeys(array_merge(we_modules_info::getModuleField(we_modules_info::CATEGORY, 'tables'), we_modules_info::getModuleField(we_modules_info::THUMB, 'tables'), we_modules_info::getModuleField(we_modules_info::NAVIGATION, 'tables'), we_modules_info::getModuleField(we_modules_info::COLLECTION, 'tables'), we_modules_info::getModuleField(we_modules_info::DOCTYPE, 'tables')
					)
			)),
			'versions' => [
				strtolower(stripTblPrefix(VERSIONS_TABLE)) => VERSIONS_TABLE,
				strtolower(stripTblPrefix(VERSIONSLOG_TABLE)) => VERSIONSLOG_TABLE
			],
			'settings' => [
				strtolower(stripTblPrefix(PREFS_TABLE)) => PREFS_TABLE,
				strtolower(stripTblPrefix(RECIPIENTS_TABLE)) => RECIPIENTS_TABLE,
				strtolower(stripTblPrefix(VALIDATION_SERVICES_TABLE)) => VALIDATION_SERVICES_TABLE,
				strtolower(stripTblPrefix(SETTINGS_TABLE)) => SETTINGS_TABLE,
			],
			'user' => self::replaceKeys(we_modules_info::getModuleField(we_modules_info::USERS, 'tables')),
			'temporary' => [strtolower(stripTblPrefix(TEMPORARY_DOC_TABLE)) => TEMPORARY_DOC_TABLE],
			'history' => [strtolower(stripTblPrefix(HISTORY_TABLE)) => HISTORY_TABLE],
			'backup' => ['tblbackup' => addTblPrefix('tblbackup')],
			'configuration' => [],
			'object' => (we_modules_info::isActive(we_modules_info::OBJECT) ?
			array_merge(self::replaceKeys(we_modules_info::getModuleField(we_modules_info::OBJECT, 'tables')), [strtolower(stripTblPrefix(OBJECT_X_TABLE)) => OBJECT_X_TABLE]) :
			[]
			),
			'customer' => (we_modules_info::isActive(we_modules_info::CUSTOMER) ? self::replaceKeys(we_modules_info::getModuleField(we_modules_info::CUSTOMER, 'tables')) : [
			] ),
			'shop' => (we_modules_info::isActive(we_modules_info::SHOP) ? self::replaceKeys(we_modules_info::getModuleField(we_modules_info::SHOP, 'tables')) : [] ),
			'workflow' => (we_modules_info::isActive(we_modules_info::WORKFLOW) ? self::replaceKeys(we_modules_info::getModuleField(we_modules_info::WORKFLOW, 'tables')) : [
			] ),
			'todo' => [],
			'newsletter' => (we_modules_info::isActive(we_modules_info::NEWSLETTER) ? self::replaceKeys(we_modules_info::getModuleField(we_modules_info::NEWSLETTER, 'tables')) : [
			] ),
			'banner' => (we_modules_info::isActive(we_modules_info::BANNER) ? self::replaceKeys(we_modules_info::getModuleField(we_modules_info::BANNER, 'tables')) : [] ),
			'schedule' => (we_modules_info::isActive(we_modules_info::SCHEDULER) ? self::replaceKeys(we_modules_info::getModuleField(we_modules_info::SCHEDULER, 'tables')) : [
			] ),
			'export' => (we_modules_info::isActive(we_modules_info::EXPORT) ? self::replaceKeys(we_modules_info::getModuleField(we_modules_info::EXPORT, 'tables')) : [] ),
			'voting' => (we_modules_info::isActive(we_modules_info::VOTING) ? self::replaceKeys(we_modules_info::getModuleField(we_modules_info::VOTING, 'tables')) : [] ),
			'glossary' => (we_modules_info::isActive(we_modules_info::GLOSSARY) ? self::replaceKeys(we_modules_info::getModuleField(we_modules_info::GLOSSARY, 'tables')) : [
			] ),
			'tblsearchtool' => self::replaceKeys(we_modules_info::getModuleField(we_modules_info::SEARCH, 'tables'))
		];
	}

}
