<?php
/**
 * webEdition CMS
 *
 * $Rev: 14504 $
 * $Author: mokraemer $
 * $Date: 2017-10-30 17:28:00 +0100 (Mon, 30 Oct 2017) $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @category   webEdition
 * @package none
 * @license    http://www.gnu.org/copyleft/gpl.html  GPL
 */
require_once(WE_INCLUDES_PATH . 'we_tag.inc.php');

class we_editor_contentobject extends we_editor_base{

	public function show(){

		$uniquename = md5(uniqid(__FILE__, true));
		$we_transaction = we_base_request::_(we_base_request::TRANSACTION, 'we_transaction', 0);
//	---> Setting the Content-Type

		$this->charset = $this->we_doc->getElement('Charset', 'dat', DEFAULT_CHARSET, true);
		$sort = $this->we_doc->getElement('we_sort', 'dat');

//	---> Loading the Stylesheets
		$head = '';
		if($this->we_doc->CSS){
			$cssArr = id_to_path(explode(',', $this->we_doc->CSS), FILE_TABLE, null, true);
			foreach($cssArr as $path){
				$head .= we_html_element::cssLink($path);
			}
		}

		$content = '';

		foreach(array_keys($sort) as $identifier){
			$uniqid = "entry_" . $identifier;

			$content .= we_html_element::div(['id' => $uniqid, 'class' => "objectFileElement"], we_html_element::div(['id' => 'f' . $uniqid, 'class' => "default"], '<table cellpadding="6" style="float:left;">' .
						$this->we_doc->getFieldHTML($this->jsCmd, $this->we_doc->getElement('wholename' . $identifier), $uniqid) .
						'</table>' .
						we_html_element::span(['class' => "defaultfont clearfix", 'style' => "width:180px;"], we_html_button::create_button(we_html_button::ADD_FIELD, "javascript:we_cmd('object_insert_entry_at_class','" . $we_transaction . "','" . $uniqid . "');") .
							we_html_button::create_button(we_html_button::DIRUP, "javascript:we_cmd('object_up_entry_at_class','" . $we_transaction . "','" . $uniqid . "');", '', '', false, false, "_" . $identifier) .
							we_html_button::create_button(we_html_button::DIRDOWN, "javascript:we_cmd('object_down_entry_at_class','" . $we_transaction . "','" . $uniqid . "');", '', '', false, false, "_" . $identifier) .
							we_html_button::create_button(we_html_button::TRASH, "javascript:we_cmd('object_delete_entry_at_class','" . $we_transaction . "','" . $uniqid . "');")
			)));

			$this->jsCmd->addCmd('orderContainerAdd', $uniqid);
		}

		return $this->getPage($this->we_doc->getEmptyDefaultFields() . we_html_multiIconBox::addBoxContainer($uniquename, '', we_html_element::div(['id' => "orderContainer"]) . we_html_element::div([
						'id' => $uniquename . '_div'], '
 <table style="margin-left:30px;margin-bottom:15px;" class="default defaultfont">
 <tr>
 <td style="vertical-align:top"></td>
 <td>' .
						we_html_button::create_button(we_html_button::ADD_FIELD, "javascript:_EditorFrame.setEditorIsHot(true);we_cmd('object_insert_entry_at_class','" . we_base_request::_(we_base_request::TRANSACTION, 'we_transaction') . "');") .
						'</td>
 </tr>
 </table>')) .
				$content, we_html_element::jsScript(JS_DIR . '/weOrderContainer.js') . $head, [
				'onload' => "doScrollTo();"
		]);
	}

}
