<?php
/**
 * webEdition CMS
 *
 * $Rev: 14628 $
 * $Author: mokraemer $
 * $Date: 2017-12-04 12:39:29 +0100 (Mon, 04 Dec 2017) $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @category   webEdition
 * @package none
 * @license    http://www.gnu.org/copyleft/gpl.html  GPL
 */
require_once(WE_INCLUDES_PATH . 'we_tag.inc.php');
echo we_html_element::docType();
?><html>
	<head><?php
		if(!empty($GLOBALS['we_editmode'])){
			echo STYLESHEET . JQUERY;
		}
		if($we_doc->getElement('Charset', 'dat')){
			echo we_html_tools::metaCtCharset($we_doc->getElement('Charset', 'dat'));
		}
		if($we_doc->getElement('Keywords', 'dat')){
			?>
			<meta name="keywords" content="<?= $we_doc->getElement('Keywords', 'dat') ?>">
			<?php
		}
		if($we_doc->getElement('Description', 'dat')){
			?>
			<meta name="description" content="<?= $we_doc->getElement('Description', 'dat') ?>">
		<?php } ?>
		<title><?= $we_doc->getElement('Title', 'dat') ?></title>
		<?php
		if(!empty($GLOBALS['we_editmode'])){
			echo we_html_element::jsScript(JS_DIR . 'global.js', 'initWE();') .
			we_editor_script::get();
		} else {
			echo we_tag('textarea', ['name' => 'HEAD']);
		}
		?>
	</head>
	<?php if(!empty($GLOBALS['we_editmode'])){ ?>
		<body style="margin:15px;">
			<form name="we_form" method="post"><?php
				echo we_contents_base::hiddenTrans();
				$foo = '<html><head>' .
					($we_doc->getElement('Keywords', 'dat') ? we_html_element::meta(['name' => 'keywords', 'content' => $we_doc->getElement('Keywords', 'dat')]) : '') .
					($we_doc->getElement('Charset', 'dat') ? we_html_tools::metaCtCharset($we_doc->getElement('Charset', 'dat')) : '') .
					($we_doc->getElement('Description', 'dat') ? we_html_element::meta(['name' => 'description', 'content' => $we_doc->getElement('Description', 'dat')]) : '');

				$foo = '<pre class="defaultfont">' . oldHtmlspecialchars($foo . we_html_element::title($we_doc->getElement('Title'))) . '
</pre>
	' . we_tag('textarea', ['name' => 'HEAD', 'rows' => 8, 'cols' => 80, 'wrap' => 'virtual', 'style' => 'width: 600px;']) . '<br/>
<pre class="defaultfont">	&lt;/head&gt;
	&lt;body ' . we_tag('input', ['type' => 'text', 'size' => 60, 'name' => 'BODYTAG', 'style' => 'width: 480px;']) . '&gt;</pre>
' . we_tag('textarea', ['name' => 'BODY', 'rows' => 15, 'cols' => 80, 'wrap' => 'virtual', 'style' => 'width: 600px;']) . '
<pre class="defaultfont">	&lt;/body&gt;
&lt;/html&gt;</pre>';
				echo we_html_tools::messageBox(667, 650, $foo) .
				we_html_element::hidden("we_complete_request", 1);
				?>
			</form>
		</body>
	<?php } else { ?>
		<body <?= we_tag('input', ['name' => 'BODYTAG']); ?>>
			<?= we_tag('textarea', ['name' => 'BODY'], ''); ?>
		</body>
	<?php } ?>
</html>