<?php

/**
 * webEdition CMS
 *
 * $Rev: 14185 $
 * $Author: mokraemer $
 * $Date: 2017-09-11 15:47:25 +0200 (Mon, 11 Sep 2017) $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @category   webEdition
 * @package none
 * @license    http://www.gnu.org/copyleft/gpl.html  GPL
 */
class we_category_tree extends we_tree_base{

	protected function customJSFile(){
		return we_html_element::jsScript(WE_JS_MODULES_DIR . 'mod_tree.js', "initTree('" . we_modules_info::CATEGORY . "');");
	}

	public static function getItems($ParentID, $offset = 0, $segment = 500, $sort = false){
		$db = new DB_WE();

		$items = [];
		$db->query('SELECT ID,Text,ParentID,EXISTS(SELECT * FROM ' . CATEGORY_TABLE . ' cc WHERE cc.ParentID=' . CATEGORY_TABLE . '.ID) AS IsFolder FROM ' . CATEGORY_TABLE . ' ORDER BY Text');

		while($db->next_record(MYSQLI_ASSOC)){
			$items[] = [
				'id' => intval($db->f('ID')),
				'parentid' => intval($db->f('ParentID')),
				'text' => addslashes($db->f('Text')),
				'typ' => $db->f('IsFolder') ? self::TYP_FOLDER : self::TYP_ITEM,
				'open' => 0,
				'isfolder' => 1,
				'disabled' => 0,
				'tooltip' => $db->f('ID'),
				'offset' => $offset,
				'contenttype' => $db->f('IsFolder') ? 'we/categories' : 'we/category',
				'published' => 1,
				'table' => CATEGORY_TABLE
			];
		}
		return $items;
	}

}
