<?php

/**
 * webEdition CMS
 *
 * $Rev: 14628 $
 * $Author: mokraemer $
 * $Date: 2017-12-04 12:39:29 +0100 (Mon, 04 Dec 2017) $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @category   webEdition
 * @package none
 * @license    http://www.gnu.org/copyleft/gpl.html  GPL
 */
function we_parse_tag_controlElement(){
	return '';
}

function we_tag_controlElement(array $attribs){
	$type = weTag_getAttribute('type', $attribs, '', we_base_request::STRING);
	$name = weTag_getAttribute('name', $attribs, '', we_base_request::STRING);
	$hide = weTag_getAttribute('hide', $attribs, false, we_base_request::BOOL);

	if($type && $name){
		switch($type){
			case 'button': //	only look, if the button shall be hidden or not
				$GLOBALS['we_doc']->controlElement['button'][$name] = ['hide' => ( $hide ? 1 : 0 )];
				break;
			case 'checkbox':
				$GLOBALS['we_doc']->controlElement['checkbox'][$name] = [
					'hide' => ( $hide ? 1 : 0 ),
					'readonly' => ( weTag_getAttribute('readonly', $attribs, true, we_base_request::BOOL) ? 1 : 0 ),
					'checked' => ( weTag_getAttribute('checked', $attribs, false, we_base_request::BOOL) ? 1 : 0 )
				];
				break;
		}
	}

	return '';
}
