<?php

/**
 * webEdition CMS
 *
 * $Rev: 14628 $
 * $Author: mokraemer $
 * $Date: 2017-12-04 12:39:29 +0100 (Mon, 04 Dec 2017) $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @category   webEdition
 * @package none
 * @license    http://www.gnu.org/copyleft/gpl.html  GPL
 */
function we_parse_tag_keywords($a, $content, array $attribs){
	$attribs['_type'] = 'stop';
	return '<?php ' . we_tag_tagParser::printTag('keywords', ['_type' => 'start']) . ';?>' . $content . '<?= ' . we_tag_tagParser::printTag('keywords', $attribs) . ';?>';
}

function we_tag_keywords(array $attribs, $content = ''){
	switch(weTag_getAttribute('_type', $attribs, '', we_base_request::STRING)){
		case 'start':
			ob_start();
			return '';
		case 'stop':
			$content = ob_get_clean();
	}

	$htmlspecialchars = weTag_getAttribute('htmlspecialchars', $attribs, false, we_base_request::BOOL);

	$content = $GLOBALS['WE_MAIN_DOC']->getElement('Keywords', 'dat', $content, true);

	if(!empty($GLOBALS['we_editmode'])){
		//set meta data & exit
		$GLOBALS['meta']['Keywords']['default'] = $content;
		return '';
	}
	$attribs['name'] = 'keywords';
	$attribs['content'] = str_replace('"', '\'', ($htmlspecialchars ? oldHtmlspecialchars(strip_tags($content)) : strip_tags($content)));
	return getHtmlTag('meta', removeAttribs($attribs, ['htmlspecialchars', '_type'])) . "\n";
}
