<?php

/**
 * webEdition CMS
 *
 * $Rev: 14628 $
 * $Author: mokraemer $
 * $Date: 2017-12-04 12:39:29 +0100 (Mon, 04 Dec 2017) $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @category   webEdition
 * @package none
 * @license    http://www.gnu.org/copyleft/gpl.html  GPL
 */
function we_parse_tag_title($a, $content, array $attribs){
	$attribs['_type'] = 'stop';
	return '<?php ' . we_tag_tagParser::printTag('title', ['_type' => 'start']) . ';?>' . $content . '<?= ' . we_tag_tagParser::printTag('title', $attribs) . ';?>';
}

function we_tag_title(array $attribs, $content = ''){
	switch(weTag_getAttribute('_type', $attribs, '', we_base_request::STRING)){
		case 'start':
			ob_start();
			return '';
		case 'stop':
			$content = ob_get_clean();
	}
	$htmlspecialchars = weTag_getAttribute('htmlspecialchars', $attribs, false, we_base_request::BOOL);
	$prefix = weTag_getAttribute('prefix', $attribs, '', we_base_request::RAW_CHECKED);
	$suffix = weTag_getAttribute('suffix', $attribs, '', we_base_request::RAW_CHECKED);
	$delimiter = weTag_getAttribute('delimiter', $attribs, '', we_base_request::RAW_CHECKED);

	$content = $GLOBALS['WE_MAIN_DOC']->getElement('Title', 'dat', $content, true);

	if(!empty($GLOBALS['we_editmode'])){
		//set meta data & exit
		$GLOBALS['meta']['Title']['default'] = $content;
		return '';
	}

	$content = ($prefix ? $prefix . ($content ? $delimiter : '') : '') . $content . ($suffix ? ($content ? $delimiter : ($prefix ? $delimiter : '')) . $suffix : '');

	return getHtmlTag('title', removeAttribs($attribs, ['htmlspecialchars', 'prefix', 'suffix', 'delimiter', '_type']), str_replace(['<', '>'], '', ($htmlspecialchars ? oldHtmlspecialchars(strip_tags($content)) : strip_tags($content))), true) . "\n";
}
