<?php

/**
 * webEdition CMS
 *
 * $Rev: 14628 $
 * $Author: mokraemer $
 * $Date: 2017-12-04 12:39:29 +0100 (Mon, 04 Dec 2017) $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @category   webEdition
 * @package none
 * @license    http://www.gnu.org/copyleft/gpl.html  GPL
 */
function we_tag_video(array $attribs){
	$lid = weTag_getAttribute('id', $attribs, 0, we_base_request::INT);
	$name = weTag_getAttribute('name', $attribs, '', we_base_request::STRING);
	if(!($lid || $name) && ($foo = attributFehltError($attribs, ['name' => false, 'id' => false], __FUNCTION__))){
		return $foo;
	}
	$showcontrol = weTag_getAttribute('showcontrol', $attribs, true, we_base_request::BOOL);
	$showvideo = weTag_getAttribute('showvideo', $attribs, true, we_base_request::BOOL);

	$id = $name ? ($GLOBALS['we_doc']->getElement($name, we_contents_base::ETYPE_NUMBER) ?: $lid) : $lid;

	if(isset($attribs['showcontrol']) && !$showcontrol && $lid){//bug 6433: später wird so ohne weiteres gar nicht mehr auf die id zurückgegriffen
		$attribs['id'] = $lid; //siehe korrespondierende Änderung in we:document::getField
		$attribs['showcontrol'] = $showcontrol; //sicherstellen das es boolean ist
	}
	$fname = 'we_' . $GLOBALS['we_doc']->Name . '_video[' . $name . '#' . we_contents_base::ETYPE_NUMBER . ']';

	$out = ($GLOBALS['we_editmode'] && !$showvideo ?
		'' :
		$GLOBALS['we_doc']->getField(removeAttribs($attribs, ['showvideo', 'parentid', 'startid', 'showcontrol']), 'video') );

	if($showcontrol && $GLOBALS['we_editmode']){
		$startid = weTag_getAttribute('startid', $attribs, 0, we_base_request::INT);
		$parentid = weTag_getAttribute('parentid', $attribs, 0, we_base_request::INT);
		// Create "Edit" button

		$button = we_html_button::create_button('fa:btn_edit_video,fa-lg fa-pencil,fa-lg fa-file-video-o', "javascript:we_cmd('we_selector_document','" . ($id ?: $startid) . "', '" . FILE_TABLE . "','" . $fname . "','','reload_hot_editpage',''," . $parentid . ", '" . we_base_ContentTypes::VIDEO . "', " . (we_base_permission::hasPerm(we_base_perm::WORK_WORKSPACE_CAN_SELECT_OTHER_FILES) ? 0 : 1) . ")");

		// Create "Delete/Clear" button
		$clear_button = we_html_button::create_button(we_html_button::TRASH, "javascript:we_cmd('remove_image', '" . $name . "')");

		return '
<table class="weEditTable spacing2 padding0">
	<tr>
		<td class="weEditmodeStyle">' . $out . '<input type="hidden" name="' . $fname . '" value="' . $GLOBALS['we_doc']->getElement($name, we_contents_base::ETYPE_NUMBER) . '" /></td>
	</tr>
	<tr>
		<td class="weEditmodeStyle" style="text-align:center">' . $button . $clear_button . '</td></tr></table>';
	}
	//	When in SEEM - Mode add edit-Button to tag - textarea
	return $out;
}
